# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 1.204
%global source_release 9
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt documentation/*.txt documentation/*.odt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Annapurna SIL
%global fonts_summary            Annapurna SIL, a Devanagari font family
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
Annapurna SIL is a Unicode-based font family with broad support for writing
systems that use the Devanagari script. Inspired by traditional calligraphic
forms, the design is intended to be highly readable, reasonably compact, and
visually attractive.

The Devanagari script is used to write over 170 languages in South Asia.
Annapurna SIL supports a full range of these writing systems.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documentation/*.pdf

%auto_init
%auto_pkg

%sourcelist
https://github.com/silnrsi/font-%{project_name}/releases/download/v%{version}/%{archive_name}.tar.xz
65-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt documentation/*.txt
chmod 644 %{fonts_docs} %{fonts_licenses} documentation/*

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-9
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-8
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-7
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-6
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-4
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.204-1
✅ Initial packaging
